Bug 874830 - SELinux is preventing /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.9.x86_64/jre/bin/java from 'read' accesses on the file /anon_hugepage (deleted).
Summary: SELinux is preventing /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.9.x86_64/jre/bin/...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9cff13e4e8276075d5280214b10...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-08 22:01 UTC by Flóki Pálsson
Modified: 2012-12-07 04:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-07 04:30:52 UTC
Type: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-11-08 22:01 UTC, Flóki Pálsson
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-11-08 22:01 UTC, Flóki Pálsson
no flags Details

Description Flóki Pálsson 2012-11-08 22:01:05 UTC
Description of problem:
rhytminbox?

Additional info:
libreport version: 2.0.18
kernel:         3.6.6-3.fc18.x86_64

description:
:SELinux is preventing /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.9.x86_64/jre/bin/java from 'read' accesses on the file /anon_hugepage (deleted).
:
:*****  Plugin restorecon (99.5 confidence) suggests  *************************
:
:If you want to fix the label. 
:/anon_hugepage (deleted) default label should be etc_runtime_t.
:Then you can run restorecon.
:Do
:# /sbin/restorecon -v /anon_hugepage (deleted)
:
:*****  Plugin catchall (1.49 confidence) suggests  ***************************
:
:If you believe that java should be allowed read access on the anon_hugepage (deleted) file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep java /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:hugetlbfs_t:s0
:Target Objects                /anon_hugepage (deleted) [ file ]
:Source                        java
:Source Path                   /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.9.x86_64/jre
:                              /bin/java
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           java-1.7.0-openjdk-1.7.0.9-2.3.3.fc18.1.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.11.1-50.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.6-3.fc18.x86_64 #1 SMP Mon Nov
:                              5 16:26:34 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    2012-11-08 21:57:56 GMT
:Last Seen                     2012-11-08 21:57:56 GMT
:Local ID                      7c02065b-0b6e-4160-b037-c9b10e9b5b9a
:
:Raw Audit Messages
:type=AVC msg=audit(1352411876.524:349): avc:  denied  { read } for  pid=12314 comm="java" path=2F616E6F6E5F6875676570616765202864656C6574656429 dev="hugetlbfs" ino=1487163 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:hugetlbfs_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1352411876.524:349): arch=x86_64 syscall=mmap success=no exit=EACCES a0=0 a1=200000 a2=3 a3=40022 items=0 ppid=1 pid=12314 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=java exe=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.9.x86_64/jre/bin/java subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: java,mozilla_plugin_t,hugetlbfs_t,file,read
:
:audit2allow
:
:#============= mozilla_plugin_t ==============
:allow mozilla_plugin_t hugetlbfs_t:file read;
:
:audit2allow -R
:
:#============= mozilla_plugin_t ==============
:allow mozilla_plugin_t hugetlbfs_t:file read;
:

Comment 1 Flóki Pálsson 2012-11-08 22:01:08 UTC
Created attachment 641089 [details]
File: type

Comment 2 Flóki Pálsson 2012-11-08 22:01:10 UTC
Created attachment 641090 [details]
File: hashmarkername

Comment 3 Daniel Walsh 2012-11-08 22:09:49 UTC
Fixed in selinux-policy-3.11.1-53.fc18.noarch

Comment 4 Fedora Update System 2012-11-28 20:57:26 UTC
selinux-policy-3.11.1-57.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-57.fc18

Comment 5 Fedora Update System 2012-11-30 06:35:39 UTC
Package selinux-policy-3.11.1-57.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-57.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19374/selinux-policy-3.11.1-57.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-12-02 19:29:41 UTC
Package selinux-policy-3.11.1-59.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-59.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19374/selinux-policy-3.11.1-59.fc18
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-12-06 20:12:02 UTC
Package selinux-policy-3.11.1-60.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-60.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19374/selinux-policy-3.11.1-60.fc18
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2012-12-07 04:30:54 UTC
selinux-policy-3.11.1-60.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.